[arch-commits] Commit in dhall-json/repos (2 files)
Felix Yan
felixonmars at gemini.archlinux.org
Mon Dec 20 06:43:03 UTC 2021
Date: Monday, December 20, 2021 @ 06:43:03
Author: felixonmars
Revision: 1079599
archrelease: copy trunk to community-staging-x86_64
Added:
dhall-json/repos/community-staging-x86_64/
dhall-json/repos/community-staging-x86_64/PKGBUILD
(from rev 1079598, dhall-json/trunk/PKGBUILD)
----------+
PKGBUILD | 43 +++++++++++++++++++++++++++++++++++++++++++
1 file changed, 43 insertions(+)
Copied: dhall-json/repos/community-staging-x86_64/PKGBUILD (from rev 1079598, dhall-json/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD (rev 0)
+++ community-staging-x86_64/PKGBUILD 2021-12-20 06:43:03 UTC (rev 1079599)
@@ -0,0 +1,43 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgname=dhall-json
+pkgver=1.7.8
+pkgrel=48
+pkgdesc='Convert between Dhall and JSON or YAML'
+url='https://dhall-lang.org'
+license=('BSD')
+arch=('x86_64')
+depends=('ghc-libs' 'haskell-aeson' 'haskell-aeson-pretty' 'haskell-aeson-yaml' 'dhall'
+ 'haskell-lens-family-core' 'haskell-optparse-applicative' 'haskell-prettyprinter'
+ 'haskell-scientific' 'haskell-unordered-containers' 'haskell-prettyprinter-ansi-terminal')
+makedepends=('ghc' 'haskell-tasty' 'haskell-tasty-hunit' 'haskell-tasty-silver')
+source=("https://hackage.haskell.org/packages/archive/${pkgname}/${pkgver}/${pkgname}-${pkgver}.tar.gz")
+sha512sums=('63cbb328809226ffb361c685a3c47659bbb95882347907b9bb7a3c5076ae3e6656dd0237397e96703ef7c7872bad412dde9d9805177f9793bd035c9ee5350421')
+
+build() {
+ cd $pkgname-$pkgver
+
+ runhaskell Setup configure -O --enable-shared --enable-executable-dynamic --disable-library-vanilla \
+ --prefix=/usr --docdir="/usr/share/doc/${pkgbase}" --datasubdir="$pkgname" --enable-tests \
+ --dynlibdir=/usr/lib --libsubdir=\$compiler/site-local/\$pkgid --ghc-option=-fllvm
+ runhaskell Setup build $MAKEFLAGS
+ runhaskell Setup register --gen-script
+ runhaskell Setup unregister --gen-script
+ sed -i -r -e "s|ghc-pkg.*update[^ ]* |&'--force' |" register.sh
+ sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
+}
+
+check() {
+ cd $pkgname-$pkgver
+ # https://github.com/dhall-lang/dhall-haskell/issues/2151
+ runhaskell Setup test || echo "Tests failed"
+}
+
+package() {
+ cd $pkgname-$pkgver
+ install -D -m744 register.sh "${pkgdir}/usr/share/haskell/register/${pkgname}.sh"
+ install -D -m744 unregister.sh "${pkgdir}/usr/share/haskell/unregister/${pkgname}.sh"
+ runhaskell Setup copy --destdir="${pkgdir}"
+ install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+ rm -f "$pkgdir"/usr/share/doc/$pkgname/LICENSE
+}
More information about the arch-commits
mailing list